<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mdjfxj.tjXj.mapper.TjXjMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="tjXjResultMap" type="org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity">
        <result column="id" property="id"/>
        <result column="jf_id" property="jfId"/>
        <result column="tjsj" property="tjsj"/>
        <result column="tjdd" property="tjdd"/>
        <result column="rssh" property="rssh"/>
        <result column="cwss" property="cwss"/>
        <result column="tjxq" property="tjxq"/>
        <result column="tjzt" property="tjzt"/>
        <result column="fj" property="fj"/>
        <result column="tjsxr" property="tjsxr"/>
        <result column="tjjgzp" property="tjjgzp"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="sbdw" property="sbdw"/>
        <result column="bmmc" property="bmmc"/>
        <result column="lkyy" property="lkyy"/>
    </resultMap>


    <select id="selectTjXjPage" resultMap="tjXjResultMap">
        SELECT
            *
        FROM
            mdjf_tj_xj
        WHERE
            is_deleted = 0
        AND jf_id :: text = #{params.jfId}
        ORDER BY mdjf_tj_xj.tjsj DESC
    </select>


    <select id="exportTjXj" resultType="org.springblade.modules.mdjfxj.tjXj.excel.TjXjExcel">
        SELECT * FROM mdjf_tj_xj ${ew.customSqlSegment}
    </select>

</mapper>
